package dates

import (
	"fmt"
	"time"
)

var frenchMonths = [...]string{"janv.", "fevr.", "mars", "avr.", "mai", "juin", "juil.", "aout", "sept.", "oct.", "nov.", "dec."}

func FormatFrenchDate(value time.Time) string {
	month := frenchMonths[int(value.Month())-1]
	return fmt.Sprintf("%02d %s %d", value.Day(), month, value.Year())
}
